var webpack = require('webpack');
var libraryName = 'pawsqlite-node-adapter';
var outputFile = libraryName + '.js';

var config = {
  mode: 'development',
  entry: __dirname + '/src/node_adapter.mjs',
  devtool: 'source-map',
  externals: {
    sqlite3: 'sqlite3'
  },
  output: {
    path: __dirname + '/lib',
    filename: outputFile,
    libraryExport: 'default',
    libraryTarget: 'commonjs2',
  }
};

module.exports = config;
